{stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "exploitdb";
  version = "2021-09-21";

  src = fetchFromGitHub {
    owner = "offensive-security";
    repo = pname;
    rev = version;
    sha256 = "sha256-Nd5pcqVvbytnYiSS6syvcJBTda8vL1N2lPWw9v+FeVA";
  };

  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin
    cp --recursive ./* $out/bin
    cp ./.searchsploit_rc $out/bin
    runHook postInstall
  '';

  meta = with lib; {
    homepage = "https://github.com/offensive-security/exploitdb";
    description = "Archive of public exploits and corresponding vulnerable software";
    license = with licenses; [ gpl2Plus gpl3Plus mit ];
    maintainers = with maintainers; [ applePrincess ];
  };
}
